%undefine __libtoolize
%define unstable 0
%define _optlevel s
%define glibc_core_ver %{get_version glibc-core}
%define _keep_libtool_files 1
%_K_if_ver_lt %glibc_core_ver 2.5
%define _keep_libtool_files 0
%endif

%define qtdir %_qt3dir
%add_findprov_lib_path %_libkde

Name: kdeaccessibility
Version: 3.5.8
Release: alt0.1.M40

Group: Graphical desktop/KDE
Summary: K Desktop Environment - accessibility programs
License: GPL
URL: http://www.kde.org

Requires: %name-kmag = %version-%release
Requires: %name-kmousetool = %version-%release
Requires: %name-kmouth = %version-%release
Requires: %name-icon-theme-mono = %version-%release
Requires: %name-ksayit = %version-%release
Requires: %name-ktts = %version-%release
Requires: %name-kbstate = %version-%release

Source: %name-%version.tar
#Source: kdeaccessibility-3.0.98.tar

Patch1: 3.2.0-flags.patch

# Automatically added by buildreq on Fri Mar 05 2004 (-bi)
BuildRequires: xorg-x11-devel gcc-c++
BuildRequires: kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel qt3-designer xml-utils zlib-devel
BuildRequires: kdemultimedia-devel kde-common-devel
BuildRequires: libacl-devel libattr-devel
#BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs >= %version kdelibs-devel >= %version

%description
K Desktop Environment - accessibility programs

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
#
%description common
Common empty package for %name

%package kmag
Summary: A screen magnifier for KDE
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmag
Kmag is a KDE screen magnifier for the visually impaired.

%package kmousetool
Summary: KDE mouse manipulation tool
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmousetool
Kmousetool  is  a KDE mouse manipulation tool aimed to help
aid disabled people but useful for  many.   It  includes  features  and
options  that  provide artificial intelligence on common mouse gestures
to perform actions.

%package kmouth
Summary: A type and say KDE front end for speech synthesizers
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmouth
Kmouth is a type and say KDE front end for speech synthesizers.

%package icon-theme-mono
Summary: Monochrome icon theme for KDE
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
Provides: kde-icon-theme-mono = %version-%release
#
%description icon-theme-mono
Monochrome icon theme for KDE

%package ksayit
Summary: Text-to-Speech Frontend for KDE
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description ksayit
Text-to-Speech Frontend for KDE

%package ktts
Summary: Text-to-speech system for KDE
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description ktts
Text-to-speech system for KDE

%package kbstate
Summary: Keyboard status applet
Group: Graphical desktop/KDE
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kbstate
Panel applet that shows the state of the modifier keys


%prep
%setup -q
#%setup -q -nkdeaccessibility-3.0.98
#%patch1 -p1

%if %_keep_libtool_files
%else
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
%endif
make -f admin/Makefile.common cvs ||:

%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"

%configure \
%if %unstable
    --enable-debug=full \
%else
    --disable-debug \
%endif
    --enable-final \
    --enable-shared \
    --disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
    --with-gnu-ld \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --enable-pch \
    --enable-dependency-tracking \
    --with-pic \
    --with-xinerama \
    --program-transform-name="" \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --enable-ksayit-audio-plugins \
    --disable-kttsd-gstreamer \
    --enable-kttsd-command \
    --enable-kttsd-epos \
    --enable-kttsd-festivalint \
    --enable-kttsd-flite \
    --enable-kttsd-freetts

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make_build install DESTDIR=%buildroot
chmod 0644 %buildroot/%_libdir/*.la ||:
chmod 0644 %buildroot/%_libkde/*.la ||:



%post kmag
%update_menus
%postun kmag
%clean_menus

%post kmousetool
%update_menus
%postun kmousetool
%clean_menus

%post kmouth
%update_menus
%postun kmouth
%clean_menus


%files
%files common

%files kmag
%_bindir/kmag
%_datadir/apps/kmag
%_iconsdir/*/*/apps/kmag.png
%doc %_docdir/HTML/en/kmag
%Kapplnk/Applications/kmag.desktop

%files kmousetool
%_bindir/kmousetool
%_datadir/apps/kmousetool
%_iconsdir/*/*/apps/kmousetool.png
%doc %_docdir/HTML/en/kmousetool
%Kapplnk/Applications/kmousetool.desktop

%files kmouth
%_bindir/kmouth
%_datadir/apps/kmouth
#/usr/share/config/kmouthrc
%doc %_docdir/HTML/en/kmouth
%_iconsdir/*/*/apps/kmouth.png
%Kapplnk/Applications/kmouth.desktop

%files icon-theme-mono
%_iconsdir/mono/

%files ksayit
%_includedir/ksayit_fxplugin.h
#
%_bindir/ksayit
%_libdir/kde3/libFreeverb_plugin.*
%_datadir/apps/ksayit/
%_datadir/services/ksayit_libFreeverb.desktop
%_datadir/servicetypes/ksayit_libFreeverb_service.desktop
%_iconsdir/hicolor/*/apps/ksayit.*
%_iconsdir/hicolor/*/apps/ksayit_*.*
%Kmenudir/ksayit.desktop


%files ktts
#%_includedir/kparts/kttsjobmgr.h
#
%_bindir/kttsd
%_bindir/kttsmgr
%_libdir/libKTTSD_Lib.so*
%_libdir/libkttsd.so*
%_libdir/kde3/kcm_kttsd.*
%_libdir/kde3/ktexteditor_kttsd.*
%_libdir/kde3/libkttsd_*plugin.*
%_libdir/kde3/libkttsjobmgrpart.*
%_datadir/apps/ktexteditor_kttsd
%_datadir/apps/kttsd/
#%_datadir/apps/kttsjobmgr/
%_datadir/services/ktexteditor_kttsd.desktop
%_datadir/services/kttsd.desktop
%_datadir/services/kttsd_*plugin.desktop
%_datadir/services/kttsjobmgr.desktop
%_datadir/servicetypes/kttsd_audioplugin.desktop
%_datadir/servicetypes/kttsd_filterplugin.desktop
%_datadir/servicetypes/kttsd_synthplugin.desktop
#%_iconsdir/crystalsvg/*/apps/kttsd.*
%_iconsdir/*/*/actions/female.*
%_iconsdir/*/*/actions/male.*
%_iconsdir/*/*/actions/nospeak.png
%_iconsdir/*/*/actions/speak.png
%_docdir/HTML/en/kttsd
%Kmenudir/kcmkttsd.desktop
%Kmenudir/kttsmgr.desktop

%files kbstate
%_libdir/kde3/kbstate_panelapplet.*
%_datadir/apps/kbstateapplet/
%_datadir/apps/kicker/applets/kbstateapplet.desktop

%changelog
* Tue Nov 06 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt0.1.M40
- built for M40

* Wed Oct 17 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.8-alt1
- new version

* Thu Aug 09 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt2
- move keyboard status applet to kbstate subpackage

* Thu May 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt1
- new version

* Tue Mar 27 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt2
- remove patch against text relocations 

* Mon Jan 29 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt1
- new version

* Tue Oct 17 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.5-alt1
- new version

* Tue Sep 05 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.4-alt1
- new version
- fix text relocations; thanks Alexey Morozov

* Tue Jun 06 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.3-alt1
- new version

* Tue Apr 04 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.2-alt1
- new version

* Thu Feb 02 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.1-alt1
- new version

* Thu Dec 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.5.0-alt1
- new version

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt1
- new version

* Fri Apr 01 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- rebuild

* Wed Jan 05 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version

* Thu Oct 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- new version

* Sat Oct 02 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- new version

* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version

* Tue Apr 13 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- new version

* Tue Mar 16 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt1
- update code from KDE_3_2_BRANCH 

* Fri Mar 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- initial spec
